#include "Touch.h"
#include "basic.h"

extern "C" {

bool isTouched(uint8_t ulPin)
{
  ulPin = g_PinID[ulPin];
  MicroBitPin *pin = getMicroBitPin(ulPin);

  if (!pin) return 0;
  
  return pin->isTouched();
}
}